package com.fs.qw.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.qw.mapper.QwApiSopLogTokenMapper;
import com.fs.qw.domain.QwApiSopLogToken;
import com.fs.qw.service.IQwApiSopLogTokenService;

/**
 * 企业微信账号 发官方群发的统计Service业务层处理
 * 
 * @author fs
 * @date 2025-11-26
 */
@Service
public class QwApiSopLogTokenServiceImpl extends ServiceImpl<QwApiSopLogTokenMapper, QwApiSopLogToken> implements IQwApiSopLogTokenService {

    /**
     * 查询企业微信账号 发官方群发的统计
     * 
     * @param id 企业微信账号 发官方群发的统计主键
     * @return 企业微信账号 发官方群发的统计
     */
    @Override
    public QwApiSopLogToken selectQwApiSopLogTokenById(Long id)
    {
        return baseMapper.selectQwApiSopLogTokenById(id);
    }

    /**
     * 查询企业微信账号 发官方群发的统计列表
     * 
     * @param qwApiSopLogToken 企业微信账号 发官方群发的统计
     * @return 企业微信账号 发官方群发的统计
     */
    @Override
    public List<QwApiSopLogToken> selectQwApiSopLogTokenList(QwApiSopLogToken qwApiSopLogToken)
    {
        return baseMapper.selectQwApiSopLogTokenList(qwApiSopLogToken);
    }

    /**
     * 新增企业微信账号 发官方群发的统计
     * 
     * @param qwApiSopLogToken 企业微信账号 发官方群发的统计
     * @return 结果
     */
    @Override
    public int insertQwApiSopLogToken(QwApiSopLogToken qwApiSopLogToken)
    {
        return baseMapper.insertQwApiSopLogToken(qwApiSopLogToken);
    }

    /**
     * 修改企业微信账号 发官方群发的统计
     * 
     * @param qwApiSopLogToken 企业微信账号 发官方群发的统计
     * @return 结果
     */
    @Override
    public int updateQwApiSopLogToken(QwApiSopLogToken qwApiSopLogToken)
    {
        return baseMapper.updateQwApiSopLogToken(qwApiSopLogToken);
    }

    /**
     * 批量删除企业微信账号 发官方群发的统计
     * 
     * @param ids 需要删除的企业微信账号 发官方群发的统计主键
     * @return 结果
     */
    @Override
    public int deleteQwApiSopLogTokenByIds(Long[] ids)
    {
        return baseMapper.deleteQwApiSopLogTokenByIds(ids);
    }

    /**
     * 删除企业微信账号 发官方群发的统计信息
     * 
     * @param id 企业微信账号 发官方群发的统计主键
     * @return 结果
     */
    @Override
    public int deleteQwApiSopLogTokenById(Long id)
    {
        return baseMapper.deleteQwApiSopLogTokenById(id);
    }
}
